Name: libglade
Version: 0.17
Release: alt7.1


Summary: %name library
License: LGPL
Group: System/Libraries
URL: http://www.daa.com.au/~james/gnome/
Packager: Nazar Yurpeak <phoenix@altlinux.org>

Source: ftp://ftp.daa.com.au/pub/james/gnome/%name-%version.tar.bz2
Patch0: libglade-0.17-gnomedb.patch

# Automatically added by buildreq on Tue May 25 2004
BuildRequires: ORBit-devel XFree86-Xvfb XFree86-devel XFree86-libs XFree86-locales XFree86-xauth docbook-dtds docbook-style-dsssl esound-devel freetype2-devel gdk-pixbuf-devel glib-devel glibc-devel-static gnome-libs-devel gtk+-devel gtk-doc gtk-engines-geramik hostinfo imlib-devel libGConf-devel libaudiofile-devel libbonobo-devel libdb1-devel libdb4.2-devel libgda-devel libgnome-db-devel libgnomeprint-devel libpopt-devel libxml-devel mawk oaf-devel openjade sgml-common xml-common zlib-devel

%if 0
%package bonobo
Summary: Bonobo part of the %name
Group: System/Libraries
Requires: %name = %version-%release
%endif
%package gnome
Summary: Gnome part of the %name
Group: System/Libraries
Requires: %name = %version-%release

%package gnomedb
Summary: Gnome-DB part of the %name
Group: System/Libraries
Requires: %name = %version-%release
Conflicts: %name-gnome < 0.17-alt2

%package devel
Summary: Development environment for %name applications
Group: Development/GNOME and GTK+
Requires: %name = %version-%release
#Requires: %name-bonobo = %version-%release
Requires: %name-gnome = %version-%release
Requires: %name-gnomedb = %version-%release

%package devel-static
Summary: Static libraries for %name applications
Group: Development/GNOME and GTK+
Requires: %name-devel = %version-%release

%description
This library allows you to load user interfaces in your program, which are
stored externally.  This allows alteration of the interface without
recompilation of the program.

The interfaces can also be edited with GLADE.
%if 0
%description bonobo
This is the bonobo part of %name.
The library allows you to load user interfaces in your program, which are
stored externally.  This allows alteration of the interface without
recompilation of the program.
%endif
%description gnome
This is the gnome part of %name.
The library allows you to load user interfaces in your program, which are
stored externally.  This allows alteration of the interface without
recompilation of the program.

%description gnomedb
This is the gnome-db part of %name.
The library allows you to load user interfaces in your program, which are
stored externally.  This allows alteration of the interface without
recompilation of the program.

%description devel
Shared libraries, include files, etc you can use to develop %name applications.

%description devel-static
Static libraries that you can use to develop %name applications.

%prep
%setup -q
%patch0 -p1

%build
%configure --without-bonobo

DISPNUM=90
while [ -f /tmp/.X$DISPNUM-lock ]; do
    DISPNUM=$[DISPNUM+1]
done
DISPLAY=:$DISPNUM
XAUTHORITY=$(mktemp -t Xauthority.XXXXXXXX)
export XAUTHORITY
xauth add $DISPLAY . $(mcookie)
%_x11bindir/Xvfb -nolisten tcp $DISPLAY &
XVFBPID=$!
export DISPLAY

%make_build

kill $XVFBPID
%__rm -f "$XAUTHORITY"

%install
%makeinstall
#cp -a $RPM_BUILD_ROOT%_datadir/gnome/html/%name html

%post -p /sbin/ldconfig
%postun -p /sbin/postun_ldconfig

#post bonobo -p /sbin/ldconfig
#postun bonobo -p /sbin/postun_ldconfig

%post gnome -p /sbin/ldconfig
%postun gnome -p /sbin/postun_ldconfig

%post gnomedb -p /sbin/ldconfig
%postun gnomedb -p /sbin/postun_ldconfig

%files
%_libdir/%name.so.*
%if 0
%files bonobo
%_libdir/%name-bonobo.so.*
%endif
%files gnome
%_libdir/%name-gnome.so.*

%files gnomedb
%_libdir/%name-gnomedb.so.*

%files devel
%_bindir/*
%_libdir/*.so
#%_libdir/*.la
%_libdir/*.sh
%_includedir/*
%_datadir/aclocal/*
%_libdir/pkgconfig/*
%doc %_datadir/gnome/html/*
%doc AUTHORS ChangeLog NEWS README test-%name.c *.glade

%files devel-static
%_libdir/*.a

%changelog
* Tue May 25 2004 Vitaly Lipatov <lav@altlinux.ru> 0.17-alt7.1
- update requires due strange python22 requiring

* Sat May 22 2004 Vitaly Lipatov <lav@altlinux.ru> 0.17-alt7
- rebuild

* Sat Jan 03 2004 Vitaly Lipatov <lav@altlinux.ru> 0.17-alt6
- build without *.la files
- build with gcc 3.3

* Sat Oct 25 2003 Nazar Yurpeak <phoenix@altlinux.org> 0.17-alt5
- Updated BuildRequires

* Mon Oct 28 2002 AEN <aen@altlinux.ru> 0.17-alt4
- rebuilt with gcc-3.2
- w/o bonobo

* Mon May 13 2002 Mikhail Zabaluev <mhz@altlinux.ru> 0.17-alt3
- More robust and secure Xvfb invocation
- postun_ldconfig
- used documents from /usr/share/gnome/html/libglade
- updated BuildRequires

* Tue Jan 22 2002 Mikhail Zabaluev <mhz@altlinux.ru> 0.17-alt2
- Fixed Xvfb invocation and shutdown
- updated BuildRequires
- Made libglade-gnomedb library a separate package
- -devel depends on all library packages
- Fixed doc list error

* Fri Nov 09 2001 AEN <aen@logic.ru> 0.17-alt1
- new version

* Wed Aug 15 2001 AEN <aen@logic.ru> 0.16-ipl7mdk
- yet another patch for build with new gnome-db

* Sun Jul 08 2001 Mikhail Zabaluev <mhz@altlinux.ru> 0.16-ipl6mdk
- spec cleanup
- devel-static
- added gtk-doc and docbook-dtd30-sgml to the build dependencies

* Thu Jun 28 2001 AEN <aen@logic.ru> 0.16-ipl5mdk
- rebuilt with new libgda and gnome-db
* Thu Jun 7 2001 AEN <aen@logic.ru> 0.16-ipl4mdk
- %files fixed
* Tue Mar 13 2001 AEN <aen@logic.ru> 0.16-ipl3mdk
- rebuild in release environment
* Wed Feb 28 2001 AEN <aen@logic.ru> 0.16-ipl2mdk
- rebuild with libgnome-db-devel

* Tue Feb 27 2001 AEN <aen@logic.ru> 0.16-ipl1mdk
- 0.16
* Thu Feb 22 2001 AEN <aen@logic.ru> 0.15-ipl3mdk
- rebuild with oaf-0.6.3 and bonobo-0.37

* Wed Jan 17 2001 Dmitry V. Levin <ldv@fandra.org> 0.15-ipl2mdk
- Split library subpackage into three subpackages.
- Relocated html documentation.
- Specfile cleanup.

* Thu Dec 14 2000 AEN <aen@logic.ru>
- 0.15
- remove patches

* Mon Nov 28 2000 AEN <aen@logic.ru>
- rebuild for RE

* Thu Oct 26 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.14-5mdk
- recompiled with gnome-print 0.24

* Tue Sep 19 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.14-4mdk
- Patch to build against latest version of bonobo

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.14-3mdk
- automatically added BuildRequires

* Fri Jul 28 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.14-2mdk
- recompile with new version of gnome-libs (remove dependency on libasound)
- clean spec

* Mon Jul 24 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.14-1mdk
- release 0.14 (from helix)
- BM + macrozification)

* Mon Jul 17 2000 dam's <damien@mandrakesoft.com> 0.13-2mdk
- build against new bonobo.
- new patch libglade-0.13-bonobo.patch

* Thu Jun  8 2000 dam's <damien@mandrakesoft.com> 0.13-1mdk
- release from helix.

* Sun Apr 16 2000 Daouda Lo <daouda@mandrakesoft.com> 0.12-1mdk
- release from helix
- libglade devel requires gnome-libs-devel instead of gtk+-libs

* Mon Apr 10 2000 Daouda Lo <daouda@mandrakesoft.com> 0.11-2mdk
- adjust group + some cleanup .

* Mon Dec 06 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- 0.11

* Sat Nov 27 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- 0.9 (This one *really* corrects the "translating of empty strings" bug)
- corrected a little the %files section (the directories named after the
  package name must be included too)

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 0.7

* Tue Sep 14 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- get latest CVS version; it corrects an annoying bug (gettext() was
  called on empty strings; with the result of having the po fiels header
  being displayed, instead of empty text. it is corrected now)

* Tue Sep 07 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- 0.5

* Sat Sep 04 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- 0.4

* Fri Aug 13 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- fix bogus permissions

* Mon Aug 09 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- 0.3

* Tue Aug 05 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- adapted to Mandrake

* Sun Nov  1 1998 James Henstridge <james@daa.com.au>
- Updated the dependencies of the devel package, so users must have gtk+-devel.

* Sun Oct 25 1998 James Henstridge <james@daa.com.au>
- Initial release 0.0.1
